Solid Edge Part Type Library
Add Method
Specifies the number of edges to be rounded.
An array of sets of edges to replace with Round.
An array of radius values to be used in constructing the Rounds.
Specifies whether or not the round should roll smoothly across tangent edges it encounters.
Specifies whether or not the round should roll along and notch any sharp edges it encounters.
Specifies whether the round should be forced to cliff or to keep the shape of the original edge.
Description
Adds an occurrence of the referenced object.
Syntax
Visual Basic
Public Function Add( _
   ByVal NumberOfEdgeSets As Long, _
   ByVal EdgeSetArray As Variant, _
   ByVal RadiusArray As Variant, _
   Optional ByVal RollAcrossTangentEdges As Variant, _
   Optional ByVal RollOrCapAcrossSharpEdges As Variant, _
   Optional ByVal RollAlongBlendEdges As Variant, _
   Optional ByVal ApplyVertexBlends As Variant _
) As Round
Parameters
NumberOfEdgeSets
Specifies the number of edges to be rounded.
EdgeSetArray
An array of sets of edges to replace with Round.
RadiusArray
An array of radius values to be used in constructing the Rounds.
RollAcrossTangentEdges
Specifies whether or not the round should roll smoothly across tangent edges it encounters.
RollOrCapAcrossSharpEdges
Specifies whether or not the round should roll along and notch any sharp edges it encounters.
RollAlongBlendEdges
Specifies whether the round should be forced to cliff or to keep the shape of the original edge.
ApplyVertexBlends
Remarks
Do not specify neutral edges to be rounded. Neutral edges are edges that are tangent between surfaces.
Example
Private Sub Form_Load()

    Dim objApp As SolidEdgeFramework.Application

    Dim objDoc As SolidEdgePart.PartDocument

    Dim objModel As SolidEdgePart.Model

    Dim objEdges As Object

    Dim objEdgeArray(1 To 12) As SolidEdgeGeometry.Edge

    Dim objRounds As SolidEdgePart.Rounds

    Dim objRound As SolidEdgePart.Round

    Dim dblRadiusArray(1 To 12) As Double

    Const TESTFILE = "T:\vbtests\testcases\cube.par"

    ' Report errors

    Const PI = 3.14159265358979

    ' Create/get the application with specific settings

    On Error Resume Next

    Set objApp = GetObject(, "SolidEdge.Application")

    If Err Then

        Err.Clear

        Set objApp = CreateObject("SolidEdge.Application")

        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")

        objApp.Visible = True

    Else

        Set objDoc = objApp.ActiveDocument

    End If

    Call objDoc.Close

    ' opening the test case file

    Set objDoc = objApp.Documents.Open(TESTFILE)

    Set objModel = objDoc.Models(1)

    Set objRounds = objModel.Rounds

    ' *** creating a simple round on a single edge

    ' defining the radius for rounding an edge

    Set objEdges = objModel.ExtrudedProtrusions(1).Edges(EdgeType:=igQueryRoundable)

    Set objEdgeArray(1) = objEdges(1)

    dblRadiusArray(1) = 0.005

    ' creating the round feature

    Set objRound = objRounds.Add(NumberOfEdgeSets:=1, EdgeSetArray:=objEdgeArray, _

                                 RadiusArray:=dblRadiusArray)

    ' USER DISPLAY

    ' Release objects

    Dim i As Integer

    Set objApp = Nothing

    Set objDoc = Nothing

    Set objModel = Nothing

    Set objEdges = Nothing

    For i = 1 To 12

        Set objEdgeArray(i) = Nothing

    Next i

    Set objRounds = Nothing

    Set objRound = Nothing

End Sub
See Also

Rounds Collection  | Rounds Members